<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>操作私有变量</title>
</head>

<body>
<?php
class Book{
	private $name = 'computer';							//声明私有变量$name
	public function setName($name){						//设置私有变量方法
		$this -> name = $name;
	}
	public function getName(){							//读取私有变量方法
		return $this -> name;
	}
}
class LBook extends Book{								//Book类的子类	
}
$lbook = new LBook();									//实例化对象
echo '正确操作私有变量的方法：';							//正确操作私有变量
$lbook -> setName("PHP从入门到精通");
echo $lbook -> getName();
echo '<br>直接操作私有变量的结果：';						//错误操作私有变量
echo Book::$name;
?>

</body>
</html>
